# 79. `opengl.texture` — Texture rendering.

This module defines tools for texture rendering in pyFormex.

class `opengl.texture.``Texture`(image, mode=1, format=GL_RGBA, texformat=GL_RGBA)

  An OpenGL 2D Texture.

  Parameters:

  - image: raw image data (unsigned byte RGBA data) or image file name
  - format: format of the image data
  - texformat: format of the texture data
  `activate`(mode=None, filtr=0)

    Render-time texture environment setup